*This program reads the 2001 SIPP Wave 1 Topical Module Data File 
*Note:  This program is distributed under the GNU GPL. See end of
*this file and http://www.gnu.org/licenses/ for details.
*by Jean Roth Fri Nov  7 10:49:26 EST 2003
*Please report errors to jroth@nber.org
*run with do sip01t1
*Change output file name/location as desired in the first line of the .dct file
*If you are using a PC, you may need to change the direction of the slashes, as in C:\
*  or "\\Nber\home\data\sipp/2001\sip01t1.dat"
* The following changes in variable names have been made, if necessary:
*      '$' to 'd';            '-' to '_';              '%' to 'p';
*For compatibility with other software, variable label definitions are the
*variable name unless the variable name ends in a digit. 
*'1' -> 'a', '2' -> 'b', '3' -> 'c', ... , '0' -> 'j'
* Note:  Variable names in Stata are case-sensitive
clear

quietly infile using $dict_name, using($data_name) clear

*Everything below this point are value labels

#delimit ;

;
label values spanel   spanel; 
label define spanel  
	1996        "Panel Year"                    
;
label values tfipsst  tfipsst;
label define tfipsst 
	1           "Alabama"                       
	2           "Alaska"                        
	4           "Arizona"                       
	5           "Arkansas"                      
	6           "California"                    
	8           "Colorado"                      
	9           "Connecticut"                   
	10          "Delaware"                      
	11          "DC"                            
	12          "Florida"                       
	13          "Georgia"                       
	15          "Hawaii"                        
	16          "Idaho"                         
	17          "Illinois"                      
	18          "Indiana"                       
	19          "Iowa"                          
	20          "Kansas"                        
	21          "Kentucky"                      
	22          "Louisiana"                     
	24          "Maryland"                      
	25          "Massachusetts"                 
	26          "Michigan"                      
	27          "Minnesota"                     
	28          "Mississippi"                   
	29          "Missouri"                      
	30          "Montana"                       
	31          "Nebraska"                      
	32          "Nevada"                        
	33          "New Hampshire"                 
	34          "New Jersey"                    
	35          "New Mexico"                    
	36          "New York"                      
	37          "North Carolina"                
	39          "Ohio"                          
	40          "Oklahoma"                      
	41          "Oregon"                        
	42          "Pennsylvania"                  
	44          "Rhode Island"                  
	45          "South Carolina"                
	47          "Tennessee"                     
	48          "Texas"                         
	49          "Utah"                          
	51          "Virginia"                      
	53          "Washington"                    
	54          "West Virginia"                 
	55          "Wisconsin"                     
	61          "Maine, Vermont"                
	62          "North Dakota, South Dakota,"   
;
label values sinthhid sinthhid;
label define sinthhid
	0           "Not in universe"               
;
label values eoutcome eoutcome;
label define eoutcome
	201         "Completed interview"           
	203         "Compl. partial- missing data; no"
	207         "Complete partial - TYPE-Z; no" 
	213         "TYPE-A, language problem"      
	215         "TYPE-A, insufficient partial"  
	216         "TYPE-A, no one home (noh)"     
	217         "TYPE-A, temporarily absent (ta)"
	218         "TYPE-A, hh refused"            
	219         "TYPE-A, other occupied (specify)"
	234         "TYPE-B, entire hh institut. or"
	248         "TYPE-C, other (specify)"       
	249         "TYPE-C, sample adjustment"     
	250         "TYPE-C, hh deceased"           
	251         "TYPE-C, moved out of country"  
	252         "TYPE-C, living in armed forces"
	253         "TYPE-C, on active duty in Armed"
	254         "TYPE-C, no one over age 15 years"
	255         "TYPE-C, no Wave 1 persons"     
	260         "TYPE-D, moved address unknown" 
	261         "TYPE-D, moved w/in U.S. but"   
	262         "Merged with another SIPP"      
	270         "Mover, no longer located in same"
	271         "Mover, new address located in" 
	280         "Newly spawned case outside fr's"
;
label values rfid2    rfid2l; 
label define rfid2l  
	0           "Member of related subfamily"   
;
label values epopstat epopstat;
label define epopstat
	1           "Adult (15 years of age or older)"
	2           "Child (Under 15 years of age)" 
;
label values eppintvw eppintvw;
label define eppintvw
	1           "Interview (self)"              
	2           "Interview (proxy)"             
	3           "Noninterview - Type Z"         
	4           "Nonintrvw - pseudo Type Z.  Left"
	5           "Children under 15 during"      
;
label values eppmis4  eppmis4l;
label define eppmis4l
	1           "Interview"                     
	2           "Non-interview"                 
;
label values esex     esex;   
label define esex    
	1           "Male"                          
	2           "Female"                        
;
label values erace    erace;  
label define erace   
	1           "White"                         
	2           "Black"                         
	3           "American Indian, Aleut, or"    
	4           "Asian or Pacific Islander"     
;
label values eorigin  eorigin;
label define eorigin 
	1           "Canadian"                      
	2           "Dutch"                         
	3           "English"                       
	4           "French"                        
	5           "French-Canadian"               
	6           "German"                        
	7           "Hungarian"                     
	8           "Irish"                         
	9           "Italian"                       
	10          "Polish"                        
	11          "Russian"                       
	12          "Scandinavian"                  
	13          "Scotch-Irish"                  
	14          "Scottish"                      
	15          "Slovak"                        
	16          "Welsh"                         
	17          "Other European"                
	20          "Mexican"                       
	21          "Mexican-American"              
	22          "Chicano"                       
	23          "Puerto Rican"                  
	24          "Cuban"                         
	25          "Central American"              
	26          "South American"                
	27          "Dominican Republic"            
	28          "Other Hispanic"                
	30          "African-American or"           
	31          "American Indian, Eskimo, or"   
	32          "Arab"                          
	33          "Asian"                         
	34          "Pacific Islander"              
	35          "West Indian"                   
	39          "Another group not listed"      
	40          "American"                      
;
label values errp     errp;   
label define errp    
	1           "Reference person w/ rel. persons"
	2           "Reference Person w/out rel."   
	3           "Spouse of reference person"    
	4           "Child of reference person"     
	5           "Grandchild of reference person"
	6           "Parent of reference person"    
	7           "Brother/sister of reference"   
	8           "Other relative of reference"   
	9           "Foster child of reference person"
	10          "Unmarried partner of reference"
	11          "Housemate/roommate"            
	12          "Roomer/boarder"                
	13          "Other non-relative of reference"
;
label values tage     tage;   
label define tage    
	0           "Less than 1 full year old"     
;
label values ems      ems;    
label define ems     
	1           "Married, spouse present"       
	2           "Married, Spouse absent"        
	3           "Widowed"                       
	4           "Divorced"                      
	5           "Separated"                     
	6           "Never Married"                 
;
label values epnspous epnspous;
label define epnspous
	9999        "Spouse not in hhld or person not"
;
label values epnmom   epnmom; 
label define epnmom  
	9999        "No mother in household"        
;
label values epndad   epndad; 
label define epndad  
	9999        "No father in household"        
;
label values epnguard epnguard;
label define epnguard
	-1          "Not in universe"               
	9999        "Guardian not in household"     
;
label values rdesgpnt rdesgpnt;
label define rdesgpnt
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values eeducate eeducate;
label define eeducate
	-1          "Not in universe"               
	31          "Less than 1st grade"           
	32          "1st, 2nd, 3rd or 4th grade"    
	33          "5th or 6th grade"              
	34          "7th or 8th grade"              
	35          "9th grade"                     
	36          "10th grade"                    
	37          "11th grade"                    
	38          "12th grade"                    
	39          "High school graduate - high"   
	40          "Some college but no degree"    
	41          "Diploma or certificate from a" 
	42          "Associate degree in college -" 
	43          "Associate Degree in college -" 
	44          "Bachelors degree (For example:"
	45          "Master's degree (For example:" 
	46          "Professional School Degree (For"
	47          "Doctorate degree (For example:"
;
label values ercunv   ercunv; 
label define ercunv  
	-1          "Not in universe"               
	1           "In universe"                   
;
label values eybg120m eybg120m;
label define eybg120m
	-1          "Not in universe"               
;
label values aybg120m aybg120m;
label define aybg120m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values tybg120y tybg120y;
label define tybg120y
	-1          "Not in universe"               
;
label values aybg120y aybg120y;
label define aybg120y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values ewbg120m ewbg120m;
label define ewbg120m
	-1          "Not in universe"               
;
label values awbg120m awbg120m;
label define awbg120m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values twbg120y twbg120y;
label define twbg120y
	-1          "Not in universe"               
;
label values awbg120y awbg120y;
label define awbg120y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values efbg120m efbg120m;
label define efbg120m
	-1          "Not in universe"               
;
label values afbg120m afbg120m;
label define afbg120m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values tfbg120y tfbg120y;
label define tfbg120y
	-1          "Not in universe"               
;
label values afbg120y afbg120y;
label define afbg120y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values tkcovb1y tkcovb1y;
label define tkcovb1y
	-1          "Not in universe"               
;
label values akcovb1y akcovb1y;
label define akcovb1y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values ekcovb1m ekcovb1m;
label define ekcovb1m
	-1          "Not in universe"               
;
label values akcovb1m akcovb1m;
label define akcovb1m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values tkcovb3y tkcovb3y;
label define tkcovb3y
	-1          "Not in universe"               
;
label values akcovb3y akcovb3y;
label define akcovb3y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values ekcovb3m ekcovb3m;
label define ekcovb3m
	-1          "Not in universe"               
;
label values akcovb3m akcovb3m;
label define akcovb3m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values tkcovb4y tkcovb4y;
label define tkcovb4y
	-1          "Not in universe"               
;
label values akcovb4y akcovb4y;
label define akcovb4y
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values ekcovb4m ekcovb4m;
label define ekcovb4m
	-1          "Not in universe"               
;
label values akcovb4m akcovb4m;
label define akcovb4m
	0           "Not imputed"                   
	1           "Imputed"                       
	2           "Cold Deck Imputation"          
	3           "Logical Imputation (Derivation)"
;
label values earcunv  earcunv;
label define earcunv 
	-1          "Not in universe"               
	1           "In universe"                   
;
label values ecurfs   ecurfs; 
label define ecurfs  
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values acurfs   acurfs; 
label define acurfs  
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eaplfs   eaplfs; 
label define eaplfs  
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values aaplfs   aaplfs; 
label define aaplfs  
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values erecvfs  erecvfs;
label define erecvfs 
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values arecvfs  arecvfs;
label define arecvfs 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values efsstrmn efsstrmn;
label define efsstrmn
	-1          "Not in universe"               
;
label values afsstrmn afsstrmn;
label define afsstrmn
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfsstryr tfsstryr;
label define tfsstryr
	-1          "Not in universe"               
;
label values afsstryr afsstryr;
label define afsstryr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values efslm    efslm;  
label define efslm   
	-1          "Not in universe"               
;
label values afslm    afslm;  
label define afslm   
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfsly    tfsly;  
label define tfsly   
	-1          "Not in universe"               
;
label values afsly    afsly;  
label define afsly   
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfstimes tfstimes;
label define tfstimes
	-1          "Not in universe"               
	1           "One time received food stamps" 
	2           "Two times received food stamps"
	3           "Three times received food stamps"
	4           "Four times received food stamps"
	5           "Five to six times received food"
	6           "Seven or more times received"  
;
label values afstimes afstimes;
label define afstimes
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values ecurafdc ecurafdc;
label define ecurafdc
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values acurafdc acurafdc;
label define acurafdc
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eaplafdc eaplafdc;
label define eaplafdc
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values aaplafdc aaplafdc;
label define aaplafdc
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values ercvafdc ercvafdc;
label define ercvafdc
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values arcvafdc arcvafdc;
label define arcvafdc
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eafdcstm eafdcstm;
label define eafdcstm
	-1          "Not in universe"               
;
label values aafdcstm aafdcstm;
label define aafdcstm
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tafdcsty tafdcsty;
label define tafdcsty
	-1          "Not in universe"               
;
label values aafdcsty aafdcsty;
label define aafdcsty
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eafdclm  eafdclm;
label define eafdclm 
	-1          "Not in universe"               
;
label values aafdclm  aafdclm;
label define aafdclm 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tafdcly  tafdcly;
label define tafdcly 
	-1          "Not in universe"               
;
label values aafdcly  aafdcly;
label define aafdcly 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tafdctim tafdctim;
label define tafdctim
	-1          "Not in universe"               
	1           "One times received AFDC, TANF,"
	2           "Two times received AFDC, TANF,"
	3           "Three times received AFDC, TANF,"
	4           "Four times received AFDC, TANF,"
	5           "Five to Six times received AFDC,"
	6           "Seven or more times received"  
;
label values aafdctim aafdctim;
label define aafdctim
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values ecurssi  ecurssi;
label define ecurssi 
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values acurssi  acurssi;
label define acurssi 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eaplssi  eaplssi;
label define eaplssi 
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values aaplssi  aaplssi;
label define aaplssi 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values erecvssi erecvssi;
label define erecvssi
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values arecvssi arecvssi;
label define arecvssi
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values essistrm essistrm;
label define essistrm
	-1          "Not in universe"               
;
label values assistrm assistrm;
label define assistrm
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tssistry tssistry;
label define tssistry
	-1          "Not in universe"               
;
label values assistry assistry;
label define assistry
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values essilm   essilm; 
label define essilm  
	-1          "Not in universe"               
;
label values assilm   assilm; 
label define assilm  
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tssily   tssily; 
label define tssily  
	-1          "Not in universe"               
;
label values assily   assily; 
label define assily  
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eahiunv  eahiunv;
label define eahiunv 
	-1          "Not in universe"               
	1           "In universe"                   
;
label values tcdbegyr tcdbegyr;
label define tcdbegyr
	-1          "Not in universe"               
;
label values acdbegyr acdbegyr;
label define acdbegyr
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values ecdbegmo ecdbegmo;
label define ecdbegmo
	-1          "Not in universe"               
;
label values acdbegmo acdbegmo;
label define acdbegmo
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values ehiallcv ehiallcv;
label define ehiallcv
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values ahiallcv ahiallcv;
label define ahiallcv
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values thinoyr  thinoyr;
label define thinoyr 
	-1          "Not in universe"               
;
label values ahinoyr  ahinoyr;
label define ahinoyr 
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values ehinomth ehinomth;
label define ehinomth
	-1          "Not in universe"               
;
label values ahinomth ahinomth;
label define ahinomth
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values ehievrcv ehievrcv;
label define ehievrcv
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values ahievrcv ahievrcv;
label define ahievrcv
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values thicvyr  thicvyr;
label define thicvyr 
	-1          "Not in universe"               
;
label values ahicvyr  ahicvyr;
label define ahicvyr 
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values ehicvmth ehicvmth;
label define ehicvmth
	-1          "Not in universe"               
;
label values ahicvmth ahicvmth;
label define ahicvmth
	0           "No imputation"                 
	1           "Statistical imputation (hot"   
	2           "Cold deck"                     
	3           "Logical imputation (derivation)"
;
label values eaemunv  eaemunv;
label define eaemunv 
	-1          "Not in universe"               
	1           "In universe"                   
;
label values tlstwrky tlstwrky;
label define tlstwrky
	-1          "Not in universe"               
	0           "Never worked"                  
;
label values alstwrky alstwrky;
label define alstwrky
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values elstwrkm elstwrkm;
label define elstwrkm
	-1          "Not in universe"               
;
label values alstwrkm alstwrkm;
label define alstwrkm
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tprvjbyr tprvjbyr;
label define tprvjbyr
	-1          "Not in universe"               
	0           "Never worked"                  
;
label values aprvjbyr aprvjbyr;
label define aprvjbyr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eprvjbmn eprvjbmn;
label define eprvjbmn
	-1          "Not in universe"               
;
label values aprvjbmn aprvjbmn;
label define aprvjbmn
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfrmryr  tfrmryr;
label define tfrmryr 
	-1          "Not in universe"               
;
label values afrmryr  afrmryr;
label define afrmryr 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values efrmrmn  efrmrmn;
label define efrmrmn 
	-1          "Not in universe"               
;
label values afrmrmn  afrmrmn;
label define afrmrmn 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tmakmnyr tmakmnyr;
label define tmakmnyr
	-1          "Not in universe"               
	0           "Never worked"                  
;
label values amakmnyr amakmnyr;
label define amakmnyr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values emnreson emnreson;
label define emnreson
	-1          "Not in universe"               
	1           "Taking care of a minor child"  
	2           "Taking Care of an elderly family"
	3           "Taking care of a disabled but" 
	4           "Other family or home"          
	5           "Own illness or disability"     
	6           "Could not find work"           
	7           "Did not want to work"          
	8           "Going to school"               
	9           "Other"                         
;
label values amnreson amnreson;
label define amnreson
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eyrsince eyrsince;
label define eyrsince
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values ayrsince ayrsince;
label define ayrsince
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eyrsinc2 eyrsinck;
label define eyrsinck
	-1          "Not in universe"               
;
label values ayrsinc2 ayrsinck;
label define ayrsinck
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values ewrk35hr ewrk35hr;
label define ewrk35hr
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values awrk35hr awrk35hr;
label define awrk35hr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eoff6mtn eoff6mtn;
label define eoff6mtn
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values aoff6mtn aoff6mtn;
label define aoff6mtn
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tnowrkfr tnowrkfr;
label define tnowrkfr
	-1          "Not in universe"               
;
label values anowrkfr anowrkfr;
label define anowrkfr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tnowrkto tnowrkto;
label define tnowrkto
	-1          "Not in universe"               
;
label values anowrkto anowrkto;
label define anowrkto
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values enwresn  enwresn;
label define enwresn 
	-1          "Not in universe"               
	1           "A  minor  child"               
	2           "An elderly family member"      
	3           "A disabled but non-elderly"    
;
label values anwresn  anwresn;
label define anwresn 
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values eothtime eothtime;
label define eothtime
	-1          "Not in universe"               
	1           "Yes"                           
	2           "No"                            
;
label values aothtime aothtime;
label define aothtime
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values ecntothr ecntothr;
label define ecntothr
	-1          "Not in universe"               
;
label values acntothr acntothr;
label define acntothr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfstyrfr tfstyrfr;
label define tfstyrfr
	-1          "Not in universe"               
;
label values afstyrfr afstyrfr;
label define afstyrfr
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values tfstyrto tfstyrto;
label define tfstyrto
	-1          "Not in universe"               
;
label values afstyrto afstyrto;
label define afstyrto
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;
label values efrstrsn efrstrsn;
label define efrstrsn
	-1          "Not in universe"               
	1           "A  minor  child"               
	2           "An elderly family member"      
	3           "A disabled but non-elderly"    
;
label values afrstrsn afrstrsn;
label define afrstrsn
	0           "Not imputed"                   
	1           "Statistical imputation (hot"   
	2           "Cold deck imputation"          
	3           "Logical imputation (derivation)"
;

/*
Copyright 2003 shared by the National Bureau of Economic Research and Jean Roth

National Bureau of Economic Research.
1050 Massachusetts Avenue
Cambridge, MA 02138
jroth@nber.org

This program and all programs referenced in it are free software. You
can redistribute the program or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA.
*/
